#!/usr/bin/env python3

# File: modules/net-detect
# 
# Description: This module detects network hosts and creates an Ansible playbook for them.
# 
# Package: AniNIX/Tenebrous
# Copyright: WTFPL
# 
# Author: DarkFeather <darkfeather@aninix.net>

import os
import re
import nmap3
import yaml

prdre  = re.compile('core*')
devre  = re.compile('darknet*|maat*|sharingan*|')
gethre  = re.compile('geth*|nazara*')
shadowfeedre  = re.compile('shadowfeed*')
nmap = nmap3.Nmap()

function main(): 
    """ 
    Main operation
    """



